-- Copyright 1995-99 Tom Moran, may be used by anyone for any purpose.

package Laguerre is

  subtype Indices is integer range 0 .. 9; -- all that's implemented

  function L(M,N : indices; X : float) return float;
  -- return associated Laguerre polynomial value
  -- see Mathematics and Wave Mechanics p 128
  -- M in 0 .. N  or else constraint_error

end Laguerre;
